Subject: [Detnet] Barry Leiba's No Objection on draft-ietf-detnet-data-plane-framework-04: (with COMMENT)

From: Barry Leiba via Datatracker <[email-masked]>
Date: Tue, 14 Apr 2020 23:22:37 -0700

Barry Leiba has entered the following ballot position for
draft-ietf-detnet-data-plane-framework-04: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-detnet-data-plane-framework/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Thanks for this document.  Just lots of editorial comments here:

The RPC will need to do a lot of comma editing.  I’m not going to call them all
out here.

— Section 1 —

   It describes the function
   and operation of the Packet Replication (PRF) Packet Elimination
   (PEF) and the Packet Ordering (POF) functions

You need commas between the items in the list.  I also find “the fuction of the
functions” to be very odd, and suggest eliminating “functiin and” from the
beginning of the sentence.

   Furthermore, it also describes the forwarding sub-layer.

“Furthermore” and “also” together is redundant, and I suggest eliminating one
of them.

   Different application flows (e.g., Ethernet, IP, etc.) can be mapped

“e.g.” and “etc.” together is redundant, and I suggest “Different application
flows, such as Ethernet or IP, can be mapped”.  If you keep the parentheses,
the comma needs to disappear.

— Section 3 —

   The DetNet Architecture, [RFC8655],
   models the DetNet related data plane functions

You don’t need the commas to set off the citation, as the brackets already do
that.  And “DetNet-related” needs a hyphen.

   Figure 1 reproduced from the [RFC8655],shows

Make this, “Figure 1, reproduced from [RFC8655], shows”

— Section 3.1.1 —

   currently defined for operation over packet switched (IP) networks or
   label switched (MPLS) networks.

Hyphenate “packet-switched” and “label-switched”.

— Section 3.1.2 —

   used and no sequence number is available, and in DetNet MPLS, DetNet
   specific information

Hyphenate “DetNet-specific”.

— Section 3.2 —

   An example of such metadata is
   the inclusion of a sequence number required by the PREOF function.

“PREOF function” is redundant, as the “F” already means “function”.  Also later
in the document.

— Section 3.4 —

   may be deployed, for example GRE, IPSec etc.

“for example” and “etc.” together is redundant.

— Section 3.6.1.1 —

   Reservation of resources can allocate resources to specific DetNet
   flows.

This sounds a bit odd.  Maybe, “Resources might be reserved in order to make
them available for allocation to specific DetNet flows.” ?

   Misbehaving DetNet flows
   must be able to be detected and ensure that they do not compromise
   QoS of other flows.

This sounds like it’s something that misbehaving DetNet flows have to do.  It
would be better this way:

NEW
   It must be possible to detect misbehaving DetNet flows
   and to ensure that they do not compromise QoS of other flows.
END

— Section 3.6.1.2 —

   Explicit route
   computation can encompass a wide set of constraints and optimize the
   path for a certain characteristic e.g. highest bandwidth or lowest
   jitter.

This would sound better with “and can optimize”.  And “e.g.” needs commas bith
before and after it, always.

— Section 3.6.1.4 —

   DetNet could utilized Network coding

Make it “utilize” (or, better, “use”).

— Section 3.6.2.1 —

   traffic over each segment of the end to end path.

Hyphenate “end-to-end” here.

   In this case there is no PRF
   function

“PRF function” is redundant.

— Section 3.6.2.2 —

   DetNet uses flow specific requirements (e.g., maximum
   number of out-of-order packets, maximum latency of the flow, etc.)
   for configuration of POF related buffers.

Hyphenate “flow-specific” and “POF-related”, and eliminate either “e.g.” or
“etc.”

— Section 3.6.2.3 —

   Many of the same concepts apply however rings are

There needs to be a comma before “however”.

— Section 3.6.3 —

   How this is accomplished is data plane or control plane dependent.

NEW
   How this is accomplished is data-plane or control-plane dependent.
END

   When aggregating
   DetNet flows the flows should be compatible i.e. the same or very
   similar QoS and CoS characteristics.

NEW
   When aggregating
   DetNet flows, the flows should be compatible, i.e., have the same or
   very similar QoS and CoS characteristics.
END

— Section 3.6.5 —

   MPLS nodes may interconnected by different sub-network

“may be interconnected”

   Each of these
   sub-network technologies need to provide appropriate service

The subject is “each”, which is singular, so “needs to provide”.

— Section 4.2 —

   While management plane and control planes are traditionally
   considered separately, from the Data Plane perspective

Don’t capitalize “data plane” here.

— Section 4.2.1 —

   There are many techniques to achieve aggregation,
   for example in case of IP, it can be grouping of IP flows that share
   6-tuple attributes or flow identifiers at the DetNet sub-layer.

Very awkward sentence.  Split and rephrase:

NEW
   There are many techniques to achieve aggregation.
   For example, in the case of IP,  IP flows that share 6-tuple
   attributes or flow identifiers at the DetNet sub-layer can be
   grouped.
END

— Section 5 —

   The primary considerations for the data plane is to maintain
   integrity of data and delivery of the associated DetNet service

“consideration”, singular.

   through the use of existing mechanism such as policing and shaping

Make it “an existing mechanism” or “existing mechanisms”.

---

From: Balázs Varga A <[email-masked]>
Date: Thu, 16 Apr 2020 06:41:11 +0000

Hi Barry,
Many thanks for your comments and suggestions.
I am incorporating all of them in the next version of the document.
Many thanks
Bala'zs

-----Original Message-----
From: Barry Leiba via Datatracker <[email-masked]> 
Sent: Wednesday, April 15, 2020 8:23 AM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; Ethan Grossman <[email-masked]>; [email-masked]
Subject: Barry Leiba's No Objection on draft-ietf-detnet-data-plane-framework-04: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

The RPC will need to do a lot of comma editing.  I’m not going to call them all out here.

— Section 1 —

You need commas between the items in the list.  I also find “the fuction of the functions” to be very odd, and suggest eliminating “functiin and” from the beginning of the sentence.

“Furthermore” and “also” together is redundant, and I suggest eliminating one of them.

“e.g.” and “etc.” together is redundant, and I suggest “Different application flows, such as Ethernet or IP, can be mapped”.  If you keep the parentheses, the comma needs to disappear.

— Section 3 —

You don’t need the commas to set off the citation, as the brackets already do that.  And “DetNet-related” needs a hyphen.

— Section 3.1.1 —

— Section 3.1.2 —

— Section 3.2 —

“PREOF function” is redundant, as the “F” already means “function”.  Also later in the document.

— Section 3.4 —

— Section 3.6.1.1 —

This sounds a bit odd.  Maybe, “Resources might be reserved in order to make them available for allocation to specific DetNet flows.” ?

   Misbehaving DetNet flows

This sounds like it’s something that misbehaving DetNet flows have to do.  It would be better this way:

NEW

— Section 3.6.1.2 —

   Explicit route

This would sound better with “and can optimize”.  And “e.g.” needs commas bith before and after it, always.

— Section 3.6.1.4 —

— Section 3.6.2.1 —

— Section 3.6.2.2 —

Hyphenate “flow-specific” and “POF-related”, and eliminate either “e.g.” or “etc.”

— Section 3.6.2.3 —

— Section 3.6.3 —

NEW

   When aggregating

NEW
   When aggregating

— Section 3.6.5 —

“may be interconnected”

   Each of these

— Section 4.2 —

— Section 4.2.1 —

NEW

— Section 5 —